PGP Mail α
Browser not supported!
Reason: We need a cryptographically secure PRNG to be implemented (i.e. the window.crypto method).
Solution: Use Chrome >= 11, Safari >= 3.1 or Firefox >= 21.
Scheme 1 Scheme 2 Scheme 3

Recommendations:

  • Use Firefox because it is much faster than Chrome and Opera in decryption operations (supports multithreading?).

What is PGP Mail?

How to connect to PGP Mail?

The only thing you need to use PGP Mail is a modern web browser: Firefox, Chrome, Opera or Safari.

Contacts

If you have any questions or ideas, write to:

Donate

If you like this project and want to support it's development, don't hesitate to donate: